
/*---------------------------------------------------------------------*/
/*  10. PORTFOLIO
/*---------------------------------------------------------------------*/
.filter-portfolio ul {
  padding: 0;
  margin: 0;
  margin-bottom: 30px;
  text-align: center;
}
.filter-portfolio ul > li {
  display: inline-block;
  margin: 0px 3px 10px 3px;
}
.filter-portfolio ul > li.active > a {
  font-weight: 700;
}
.popup-portfolio {
  margin: 0 auto;
}
.popup-portfolio .portfolio-item {
  width: 270px;
}
@media (min-width: 600px) {
  .popup-portfolio .portfolio-item {
    width: 320px;
  }
}
@media (min-width: 992px) {
  .popup-portfolio .portfolio-item {
    width: 273px;
  }
}
@media (min-width: 1024px) {
  .popup-portfolio .portfolio-item {
    width: 370px;
  }
}
.portfolio-item {
  margin-bottom: 15px;
}
.portfolio-item > .inner-content {
  position: relative;
  display: block;
  overflow: hidden;
}
.portfolio-item > .inner-content:hover {
  cursor: pointer;
}
.portfolio-item > .inner-content:hover > .portfolio-content {
  display: block;
}
.portfolio-item > .inner-content > .portfolio-content {
  display: none;
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 10;
  background-color: #000;
  opacity: 0.7;
  filter: alpha(opacity=70);
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(opacity=70)";
  -webkit-transition-duration: 0.5s;
  transition-duration: 0.5s;
  -webkit-transition-property: transform;
  transition-property: transform;
  -webkit-transform: translateZ(0);
  transform: translateZ(0);
}
.portfolio-item > .inner-content > .portfolio-content > .portfolio-detail {
  width: 100%;
  height: 100%;
}
.portfolio-item > .inner-content > .portfolio-content > .portfolio-detail a {
  text-align: center;
  display: table;
  width: 100%;
  height: 100%;
}
.portfolio-item > .inner-content > .portfolio-content > .portfolio-detail a > .portfolio-text {
  display: table-cell;
  vertical-align: middle;
  padding: 0 15px;
  color: #fff;
  letter-spacing: 0.2em;
}
.portfolio-item > .inner-content > .portfolio-content > .portfolio-detail a > .portfolio-text h4 {
  text-transform: uppercase;
  font-size: 20px;
  font-weight: 300;
  margin-bottom: 10px;
}
.portfolio-item > .inner-content > .portfolio-content > .portfolio-detail a > .portfolio-text p {
  text-transform: uppercase;
  font-size: 14px;
  font-weight: 300;
  margin-bottom: 0px;
}
.portfolio-item > .inner-content > img {
  -webkit-transition-duration: 0.5s;
  transition-duration: 0.5s;
  -webkit-transition-property: transform;
  transition-property: transform;
  -webkit-transform: translateZ(0);
  transform: translateZ(0);
}


/*---------------------------------------------------------------------*/
/*  10.1. PORTFOLIO HOVER EFFECT 1 - GROW 
/*---------------------------------------------------------------------*/
.portfolio-item.grow > .inner-content:hover > img {
  -webkit-transform: scale(1.2);
  transform: scale(1.2);
}


/*---------------------------------------------------------------------*/
/*  10.2. PORTFOLIO HOVER EFFECT 2 - GROW ROTATE
/*---------------------------------------------------------------------*/
.portfolio-item.grow-rotate > .inner-content:hover > img {
  -webkit-transform: scale(1.2) rotate(4deg);
  transform: scale(1.2) rotate(4deg);
}


/*---------------------------------------------------------------------*/
/*  10.3. PORTFOLIO HOVER EFFECT 3 - SHRINK
/*---------------------------------------------------------------------*/
.portfolio-item.shrink > .inner-content:hover > img {
  -webkit-transform: scale(1);
  transform: scale(1);
}
.portfolio-item.shrink > .inner-content > img {
  -webkit-transform: scale(1.2);
  transform: scale(1.2);
}


/*---------------------------------------------------------------------*/
/*  10.4. PORTFOLIO HOVER EFFECT 4 - SHRINK ROTATE
/*---------------------------------------------------------------------*/
.portfolio-item.shrink-rotate > .inner-content:hover > img {
  -webkit-transform: scale(1.1) rotate(4deg);
  transform: scale(1.1) rotate(4deg);
}
.portfolio-item.shrink-rotate > .inner-content > img {
  -webkit-transform: scale(1.3);
  transform: scale(1.3);
}


/*---------------------------------------------------------------------*/
/*  10.5. PORTFOLIO HOVER EFFECT 5 - SLIDE IN LEFT
/*---------------------------------------------------------------------*/
.portfolio-item.slide-in-left > .inner-content:hover > .portfolio-content {
  -webkit-transform: translateX(0%);
  transform: translateX(0%);
}
.portfolio-item.slide-in-left > .inner-content > .portfolio-content {
  display: block;
  -webkit-transform: translateX(-100%);
  transform: translateX(-100%);
}


/*---------------------------------------------------------------------*/
/*  10.6. PORTFOLIO HOVER EFFECT 6 - POP
/*---------------------------------------------------------------------*/
.portfolio-item.pop > .inner-content:hover > img {
  -webkit-animation-name: pop;
  animation-name: pop;
  -webkit-animation-duration: 0.5s;
  animation-duration: 0.5s;
  -webkit-animation-timing-function: linear;
  animation-timing-function: linear;
  -webkit-animation-iteration-count: 1;
  animation-iteration-count: 1;
}
.portfolio-item.pop > .inner-content > img {
  -webkit-transform: translateZ(0);
  transform: translateZ(0);
}
@-webkit-keyframes pop {
  50% {
    -webkit-transform: scale(1.3);
    transform: scale(1.3);
  }
  100% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}
@keyframes pop {
  50% {
    -webkit-transform: scale(1.3);
    transform: scale(1.3);
  }
  100% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}


/*---------------------------------------------------------------------*/
/*  10.7. PORTFOLIO HOVER EFFECT 7 - POP ROTATE
/*---------------------------------------------------------------------*/
.portfolio-item.pop-rotate > .inner-content:hover > img {
  -webkit-animation-name: pop-rotate;
  animation-name: pop-rotate;
  -webkit-animation-duration: 0.5s;
  animation-duration: 0.5s;
  -webkit-animation-timing-function: linear;
  animation-timing-function: linear;
  -webkit-animation-iteration-count: 1;
  animation-iteration-count: 1;
}
.portfolio-item.pop-rotate > .inner-content > img {
  -webkit-transform: translateZ(0);
  transform: translateZ(0);
}
@-webkit-keyframes pop-rotate {
  50% {
    -webkit-transform: scale(1.3) rotate(4deg);
    transform: scale(1.3) rotate(4deg);
  }
  100% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}
@keyframes pop-rotate {
  50% {
    -webkit-transform: scale(1.3) rotate(4deg);
    transform: scale(1.3) rotate(4deg);
  }
  100% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}


/*---------------------------------------------------------------------*/
/*  10.8. PORTFOLIO HOVER EFFECT 8 - PUSH
/*---------------------------------------------------------------------*/
.portfolio-item.push > .inner-content:hover > img {
  -webkit-animation-name: push;
  animation-name: push;
  -webkit-animation-duration: 0.5s;
  animation-duration: 0.5s;
  -webkit-animation-timing-function: linear;
  animation-timing-function: linear;
  -webkit-animation-iteration-count: 1;
  animation-iteration-count: 1;
}
.portfolio-item.push > .inner-content > img {
  -webkit-transform: scale(1.3);
  transform: scale(1.3);
}
@-webkit-keyframes push {
  50% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
  100% {
    -webkit-transform: scale(1.3);
    transform: scale(1.3);
  }
}
@keyframes push {
  50% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
  100% {
    -webkit-transform: scale(1.3);
    transform: scale(1.3);
  }
}


/*---------------------------------------------------------------------*/
/*  10.9. PORTFOLIO HOVER EFFECT 9 - PUSH ROTATE
/*---------------------------------------------------------------------*/
.portfolio-item.push-rotate > .inner-content:hover > img {
  -webkit-animation-name: push-rotate;
  animation-name: push-rotate;
  -webkit-animation-duration: 0.5s;
  animation-duration: 0.5s;
  -webkit-animation-timing-function: linear;
  animation-timing-function: linear;
  -webkit-animation-iteration-count: 1;
  animation-iteration-count: 1;
}
.portfolio-item.push-rotate > .inner-content > img {
  -webkit-transform: scale(1.3);
  transform: scale(1.3);
}
@-webkit-keyframes push-rotate {
  50% {
    -webkit-transform: scale(1.1) rotate(4deg);
    transform: scale(1.1) rotate(4deg);
  }
  100% {
    -webkit-transform: scale(1.3);
    transform: scale(1.3);
  }
}
@keyframes push-rotate {
  50% {
    -webkit-transform: scale(1.1) rotate(4deg);
    transform: scale(1.1) rotate(4deg);
  }
  100% {
    -webkit-transform: scale(1.3);
    transform: scale(1.3);
  }
}
